> For the complete documentation index, see [llms.txt](https://docs.danaya.africa/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.danaya.africa/documentation/integration-mode/rest-api/kyb/informal-business-verification.md).

# Informal Business Verification

To determine if a business exists, we use the IDU Code, Owner Identity Document Number, or Owner Phone Number to calculate a match score between owner and business information. By setting a scoring threshold, we can assess the existence of a business.

<details>

<summary>Verify Informal Business Information</summary>

<mark style="background-color:green;">POST /verification/informal-business</mark>

**Headers:**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

here you have to provide this informal business informations to verify:

```json
{
  "iduCode": "string",
  "ownerIdentityDocumentNumber": "string",
  "phoneNumber": "string", // 
  "ownerBirthDate": "string", REQUIRED // Format yyyy-mm-dd
  "ownerBirthPlace": "string",  REQUIRED
  "activityMunicipality": "string",  REQUIRED // e.g: Cocody
  "ownerFullName": "string"  REQUIRED
}
```

**Responses:**&#x20;

For each of the values provided in the request body, we will give you a matching score ranging from 0 to 100.

* **OK:**

  * Code: 200
  * Body

  ```json
  {
    "iduCode": "string",
    "ownerBirthDateScore": 100,
    "ownerBirthPlaceScore": 53,
    "ownerNameScore": 100,
    "activityMunicipalityScore": 100,
    "isValid": false,
    "threshold": 80 // to be defined by the clients
   }
  ```
* &#x20;Code : 401

TBD

* Code: 400

TBD

</details>
